Bug 1123689 - Review Request: yadifa - Lightweight authoritative Name Server with DNSSEC capabilities
Summary: Review Request: yadifa - Lightweight authoritative Name Server with DNSSEC ca...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 00:31 UTC by Denis Fateyev
Modified: 2014-09-24 03:50 UTC (History)
2 users (show)

Fixed In Version: yadifa-1.0.3-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 13:30:52 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Denis Fateyev 2014-07-28 00:31:58 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora20/testing/yadifa.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora20/testing/SRPMS/yadifa-1.0.3-1.fc20.denf.src.rpm
Description: YADIFA is a name server implementation developed from scratch by .eu. It is portable across multiple operating systems and supports DNSSEC,
TSIG, DNS notify, DNS update, IPv6.
Fedora Account System Username: dfateyev

Koji scratch builds:
https://koji.fedoraproject.org/koji/taskinfo?taskID=7201130 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=7201134 (EPEL 6)

Comment 1 Denis Fateyev 2014-07-28 00:37:46 UTC
Note: rpmlint reports an error "E: missing-call-to-setgroups /usr/sbin/yadifad" caused by missing `initgroups` or `setgroups` call in function in `sbin/yadifad/main.c` file:

static void
change_identity(config_data *config)
{
    uid_t uid = getuid();
    gid_t gid = getgid();
    log_info("changing identity to %d:%d (current: %d:%d)", config->uid, config->gid, uid, gid);
    
    if(gid != config->gid)
    {    
        Setgid(config->gid);
    }
    if(uid != config->uid)
    {
        Setuid(config->uid);
    }
}

I think it's not critical since the proper setuid() / setgid() calling order is used here.

Comment 2 Christopher Meng 2014-07-28 01:26:31 UTC
Swap with bug 1116552 if it hasn't been assigned ;)

Comment 3 Christopher Meng 2014-07-29 08:36:51 UTC
Flags are not set correctly, please check your koji build.log.

Comment 4 Christopher Meng 2014-08-08 08:49:06 UTC
I will post the -1 review results here, then run fedora-review on -2 you provided in the mail. Forgot to mention, please incorporate your changes and post everything on Bugzilla.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "GPL (v2 or later)", "Unknown or generated". 3 files
     have unknown license. Detailed output of licensecheck:

BSD (3 clause)
--------------
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/alarm.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/avl.c.inc
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/avl.h.inc
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/base16.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/base32.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/base32hex.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/base64.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/buffer_input_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/buffer_output_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/bytearray_output_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/clone_input_output_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/counter_output_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/ctrl-rfc.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/debug.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/debug_config.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/dnscore.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/dnsformat.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/dnsname.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/dnsname_set.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/fdtools.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/file_input_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/file_output_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/filter_input_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/fingerprint.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/format.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/host_address.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/input_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/io_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/logger.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/logger_channel.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/logger_channel_file.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/logger_channel_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/logger_channel_syslog.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/logger_handle.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/message.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/mt_output_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/mutex.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/network.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/output_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/packet_reader.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/packet_writer.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/parsing.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/print_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/ptr_vector.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/random.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/rdtsc.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/rfc.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/scheduler.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/serial.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/string_set.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/sys_error.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/sys_get_cpu_count.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/sys_types.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/tcp_io_stream.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/thread_pool.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/threaded_nb_mm.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/threaded_nbrb.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/threaded_queue.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/threaded_ringbuffer.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/threaded_ringbuffer_cw.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/threaded_ringlist.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/timems.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/treeset.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/tsig.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/typebitmap.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/u32_set.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/xfr_copy.h
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/zonefile_reader.h
yadifa-1.0.3-2880/lib/dnscore/src/alarm.c
yadifa-1.0.3-2880/lib/dnscore/src/base16.c
yadifa-1.0.3-2880/lib/dnscore/src/base32.c
yadifa-1.0.3-2880/lib/dnscore/src/base32hex.c
yadifa-1.0.3-2880/lib/dnscore/src/base64.c
yadifa-1.0.3-2880/lib/dnscore/src/buffer_input_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/buffer_output_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/bytearray_output_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/clone_input_output_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/counter_output_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/debug.c
yadifa-1.0.3-2880/lib/dnscore/src/dnscore.c
yadifa-1.0.3-2880/lib/dnscore/src/dnsformat.c
yadifa-1.0.3-2880/lib/dnscore/src/dnsname.c
yadifa-1.0.3-2880/lib/dnscore/src/fdtools.c
yadifa-1.0.3-2880/lib/dnscore/src/file_input_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/file_output_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/format.c
yadifa-1.0.3-2880/lib/dnscore/src/host_address.c
yadifa-1.0.3-2880/lib/dnscore/src/input_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/logger.c
yadifa-1.0.3-2880/lib/dnscore/src/logger_channel.c
yadifa-1.0.3-2880/lib/dnscore/src/logger_channel_file.c
yadifa-1.0.3-2880/lib/dnscore/src/logger_channel_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/logger_channel_syslog.c
yadifa-1.0.3-2880/lib/dnscore/src/logger_handle.c
yadifa-1.0.3-2880/lib/dnscore/src/message.c
yadifa-1.0.3-2880/lib/dnscore/src/mt_output_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/network.c
yadifa-1.0.3-2880/lib/dnscore/src/output_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/packet_reader.c
yadifa-1.0.3-2880/lib/dnscore/src/packet_writer.c
yadifa-1.0.3-2880/lib/dnscore/src/parsing.c
yadifa-1.0.3-2880/lib/dnscore/src/ptr_vector.c
yadifa-1.0.3-2880/lib/dnscore/src/random.c
yadifa-1.0.3-2880/lib/dnscore/src/rdtsc.c
yadifa-1.0.3-2880/lib/dnscore/src/rfc.c
yadifa-1.0.3-2880/lib/dnscore/src/scheduler.c
yadifa-1.0.3-2880/lib/dnscore/src/serial.c
yadifa-1.0.3-2880/lib/dnscore/src/string_set.c
yadifa-1.0.3-2880/lib/dnscore/src/sys_error.c
yadifa-1.0.3-2880/lib/dnscore/src/sys_get_cpu_count.c
yadifa-1.0.3-2880/lib/dnscore/src/tcp_io_stream.c
yadifa-1.0.3-2880/lib/dnscore/src/thread_pool.c
yadifa-1.0.3-2880/lib/dnscore/src/threaded_nb_mm.c
yadifa-1.0.3-2880/lib/dnscore/src/threaded_nbrb.c
yadifa-1.0.3-2880/lib/dnscore/src/threaded_ringbuffer.c
yadifa-1.0.3-2880/lib/dnscore/src/threaded_ringbuffer_cw.c
yadifa-1.0.3-2880/lib/dnscore/src/threaded_ringlist.c
yadifa-1.0.3-2880/lib/dnscore/src/timems.c
yadifa-1.0.3-2880/lib/dnscore/src/treeset.c
yadifa-1.0.3-2880/lib/dnscore/src/tsig.c
yadifa-1.0.3-2880/lib/dnscore/src/tsig_algorithms.c
yadifa-1.0.3-2880/lib/dnscore/src/typebitmap.c
yadifa-1.0.3-2880/lib/dnscore/src/u32_set.c
yadifa-1.0.3-2880/lib/dnscore/src/xfr_copy.c
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/avl.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/btree.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dictionary.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnskey.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnsrdata.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnssec.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnssec_config.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnssec_dsa.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnssec_keystore.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnssec_rsa.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnssec_scheduler.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnssec_task.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dynupdate.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/hash.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/htable.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/htbt.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/icmtl_input_stream.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_collection.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_hash.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_icmtl.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_item.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_load.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_name_error.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_nodata_error.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_owner.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_types.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_update.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec3_zone.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec_collection.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/nsec_common.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/rrsig.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_alloc.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_config.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_dnsname.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_error.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_icmtl.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_listener.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_record.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_rr_label.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_sanitize.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_store.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_types.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_utils.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_zone.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_zone_label.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_zone_label_iterator.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_zone_load.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_zone_load_interface.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zdb_zone_write.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/zonefile.h
yadifa-1.0.3-2880/lib/dnsdb/src/avl.c
yadifa-1.0.3-2880/lib/dnsdb/src/dictionary.c
yadifa-1.0.3-2880/lib/dnsdb/src/dictionary_btree.c
yadifa-1.0.3-2880/lib/dnsdb/src/dictionary_htbt.c
yadifa-1.0.3-2880/lib/dnsdb/src/dnskey.c
yadifa-1.0.3-2880/lib/dnsdb/src/dnssec.c
yadifa-1.0.3-2880/lib/dnsdb/src/dnssec_keystore.c
yadifa-1.0.3-2880/lib/dnsdb/src/dnssec_process.c
yadifa-1.0.3-2880/lib/dnsdb/src/dnssec_rsa.c
yadifa-1.0.3-2880/lib/dnsdb/src/dynupdate_check_prerequisites.c
yadifa-1.0.3-2880/lib/dnsdb/src/dynupdate_icmtlhook.c
yadifa-1.0.3-2880/lib/dnsdb/src/dynupdate_update.c
yadifa-1.0.3-2880/lib/dnsdb/src/hash.c
yadifa-1.0.3-2880/lib/dnsdb/src/hash_table_values.c
yadifa-1.0.3-2880/lib/dnsdb/src/htable.c
yadifa-1.0.3-2880/lib/dnsdb/src/htbt.c
yadifa-1.0.3-2880/lib/dnsdb/src/icmtl_input_stream.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_collection.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_hash.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_icmtl.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_item.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_load.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_name_error.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_nodata_error.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_owner.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_rrsig_updater.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_update.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec3_zone.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec_collection.c
yadifa-1.0.3-2880/lib/dnsdb/src/nsec_common.c
yadifa-1.0.3-2880/lib/dnsdb/src/rr_canonize.c
yadifa-1.0.3-2880/lib/dnsdb/src/rrsig.c
yadifa-1.0.3-2880/lib/dnsdb/src/rrsig_updater.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_queue_dnskey_create.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_queue_nsec3_update.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_queue_zone_freeze.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_queue_zone_unfreeze.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_queue_zone_write.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_queue_zone_write_axfr.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_queue_zone_write_ixfr.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_task_nsec3_rrsig_update_commit.c
yadifa-1.0.3-2880/lib/dnsdb/src/scheduler_task_rrsig_update_commit.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_alloc.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_dnsname.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_error.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_icmtl.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_listener.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_query_ex.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_query_ex_wire.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_record.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_rr_label.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_sanitize.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_store.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_update_signatures.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_utils.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_zone.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_zone_label.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_zone_label_iterator.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_zone_load.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_zone_store_axfr.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_zone_update_ixfr.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_zone_write_text.c
yadifa-1.0.3-2880/lib/dnsdb/src/zdb_zone_write_unbound.c
yadifa-1.0.3-2880/lib/dnsdb/src/zonefile.c
yadifa-1.0.3-2880/lib/dnszone/include/dnszone/dnszone.h
yadifa-1.0.3-2880/lib/dnszone/include/dnszone/output_stream_write_rdata.h
yadifa-1.0.3-2880/lib/dnszone/include/dnszone/resourcerecord.h
yadifa-1.0.3-2880/lib/dnszone/include/dnszone/zone_axfr_reader.h
yadifa-1.0.3-2880/lib/dnszone/include/dnszone/zone_file_reader.h
yadifa-1.0.3-2880/lib/dnszone/src/dnszone.c
yadifa-1.0.3-2880/lib/dnszone/src/output_stream_write_dname.c
yadifa-1.0.3-2880/lib/dnszone/src/output_stream_write_rdata.c
yadifa-1.0.3-2880/lib/dnszone/src/resourcerecord.c
yadifa-1.0.3-2880/lib/dnszone/src/zone_axfr_reader.c
yadifa-1.0.3-2880/lib/dnszone/src/zone_file_reader.c
yadifa-1.0.3-2880/sbin/yadifad/acl.c
yadifa-1.0.3-2880/sbin/yadifad/acl.h
yadifa-1.0.3-2880/sbin/yadifad/axfr.c
yadifa-1.0.3-2880/sbin/yadifad/axfr.h
yadifa-1.0.3-2880/sbin/yadifad/check.c
yadifa-1.0.3-2880/sbin/yadifad/check.h
yadifa-1.0.3-2880/sbin/yadifad/config.h
yadifa-1.0.3-2880/sbin/yadifad/config_error.h
yadifa-1.0.3-2880/sbin/yadifad/confs.c
yadifa-1.0.3-2880/sbin/yadifad/confs.h
yadifa-1.0.3-2880/sbin/yadifad/confs_acl.c
yadifa-1.0.3-2880/sbin/yadifad/confs_channels.c
yadifa-1.0.3-2880/sbin/yadifad/confs_control.c
yadifa-1.0.3-2880/sbin/yadifad/confs_key.c
yadifa-1.0.3-2880/sbin/yadifad/confs_main.c
yadifa-1.0.3-2880/sbin/yadifad/confs_zone.c
yadifa-1.0.3-2880/sbin/yadifad/database.c
yadifa-1.0.3-2880/sbin/yadifad/database.h
yadifa-1.0.3-2880/sbin/yadifad/ixfr.c
yadifa-1.0.3-2880/sbin/yadifad/ixfr.h
yadifa-1.0.3-2880/sbin/yadifad/list.c
yadifa-1.0.3-2880/sbin/yadifad/list.h
yadifa-1.0.3-2880/sbin/yadifad/log_query.c
yadifa-1.0.3-2880/sbin/yadifad/log_query.h
yadifa-1.0.3-2880/sbin/yadifad/log_statistics.c
yadifa-1.0.3-2880/sbin/yadifad/log_statistics.h
yadifa-1.0.3-2880/sbin/yadifad/main.c
yadifa-1.0.3-2880/sbin/yadifad/notify.c
yadifa-1.0.3-2880/sbin/yadifad/notify.h
yadifa-1.0.3-2880/sbin/yadifad/parser.c
yadifa-1.0.3-2880/sbin/yadifad/parser.h
yadifa-1.0.3-2880/sbin/yadifad/poll-util.c
yadifa-1.0.3-2880/sbin/yadifad/poll-util.h
yadifa-1.0.3-2880/sbin/yadifad/process_class_ch.c
yadifa-1.0.3-2880/sbin/yadifad/process_class_ch.h
yadifa-1.0.3-2880/sbin/yadifad/process_class_ctrl.c
yadifa-1.0.3-2880/sbin/yadifad/process_class_ctrl.h
yadifa-1.0.3-2880/sbin/yadifad/process_command_line.c
yadifa-1.0.3-2880/sbin/yadifad/scheduler_database_load_zone.c
yadifa-1.0.3-2880/sbin/yadifad/scheduler_database_load_zone.h
yadifa-1.0.3-2880/sbin/yadifad/scheduler_xfr.c
yadifa-1.0.3-2880/sbin/yadifad/scheduler_xfr.h
yadifa-1.0.3-2880/sbin/yadifad/server-mt.c
yadifa-1.0.3-2880/sbin/yadifad/server-mt.h
yadifa-1.0.3-2880/sbin/yadifad/server-st.c
yadifa-1.0.3-2880/sbin/yadifad/server-st.h
yadifa-1.0.3-2880/sbin/yadifad/server.c
yadifa-1.0.3-2880/sbin/yadifad/server.h
yadifa-1.0.3-2880/sbin/yadifad/server_context.c
yadifa-1.0.3-2880/sbin/yadifad/server_context.h
yadifa-1.0.3-2880/sbin/yadifad/server_error.h
yadifa-1.0.3-2880/sbin/yadifad/signals.c
yadifa-1.0.3-2880/sbin/yadifad/signals.h
yadifa-1.0.3-2880/sbin/yadifad/tcl_cmd.c
yadifa-1.0.3-2880/sbin/yadifad/tcl_cmd.h
yadifa-1.0.3-2880/sbin/yadifad/wrappers.c
yadifa-1.0.3-2880/sbin/yadifad/wrappers.h
yadifa-1.0.3-2880/sbin/yadifad/zone.c
yadifa-1.0.3-2880/sbin/yadifad/zone.h
yadifa-1.0.3-2880/sbin/yadifad/zone_data.h

GPL (v2 or later)
-----------------
yadifa-1.0.3-2880/lib/dnscore/ltmain.sh
yadifa-1.0.3-2880/lib/dnsdb/ltmain.sh
yadifa-1.0.3-2880/lib/dnszone/ltmain.sh
yadifa-1.0.3-2880/ltmain.sh
yadifa-1.0.3-2880/sbin/yadifad/ltmain.sh

Unknown or generated
--------------------
yadifa-1.0.3-2880/lib/dnscore/include/dnscore/dnscore-config.h
yadifa-1.0.3-2880/lib/dnsdb/include/dnsdb/dnsdb-config.h
yadifa-1.0.3-2880/lib/dnszone/include/dnszone/dnszone-config.h

[x]: License file installed when any subpackage combination is installed.
[?]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 9 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in yadifa-libs
     , yadifa-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: yadifa-1.0.3-1.fc22.i686.rpm
          yadifa-libs-1.0.3-1.fc22.i686.rpm
          yadifa-devel-1.0.3-1.fc22.i686.rpm
          yadifa-1.0.3-1.fc22.src.rpm
yadifa.i686: W: spelling-error %description -l en_US eu -> EU, Eu, e
yadifa.i686: E: missing-call-to-setgroups /usr/sbin/yadifad
yadifa.i686: E: missing-call-to-chdir-with-chroot /usr/sbin/yadifad
yadifa.i686: W: log-files-without-logrotate /var/log/yadifa
yadifa.i686: W: non-standard-dir-in-var zones
yadifa-libs.i686: W: shared-lib-calls-exit /usr/lib/libdnsdb.so.0.0.0 exit@GLIBC_2.0
yadifa-libs.i686: W: shared-lib-calls-exit /usr/lib/libdnscore.so.0.0.0 exit@GLIBC_2.0
yadifa-libs.i686: W: shared-lib-calls-exit /usr/lib/libdnszone.so.0.0.0 exit@GLIBC_2.0
yadifa-libs.i686: W: no-documentation
yadifa-devel.i686: W: no-documentation
yadifa.src: W: spelling-error %description -l en_US eu -> EU, Eu, e
yadifa.src: W: strange-permission yadifad.init 0755L
yadifa.src:49: W: mixed-use-of-spaces-and-tabs (spaces: line 49, tab: line 2)
4 packages and 0 specfiles checked; 2 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint yadifa-devel yadifa-libs yadifa
yadifa-devel.i686: W: no-documentation
yadifa-libs.i686: W: undefined-non-weak-symbol /usr/lib/libdnsdb.so.0.0.0 g_zone_logger
yadifa-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libdnsdb.so.0.0.0 /lib/libdl.so.2
yadifa-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libdnsdb.so.0.0.0 /lib/libssl.so.10
yadifa-libs.i686: W: shared-lib-calls-exit /usr/lib/libdnsdb.so.0.0.0 exit@GLIBC_2.0
yadifa-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libdnscore.so.0.0.0 /lib/libdl.so.2
yadifa-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libdnscore.so.0.0.0 /lib/libssl.so.10
yadifa-libs.i686: W: shared-lib-calls-exit /usr/lib/libdnscore.so.0.0.0 exit@GLIBC_2.0
yadifa-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libdnszone.so.0.0.0 /lib/libdl.so.2
yadifa-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libdnszone.so.0.0.0 /lib/libssl.so.10
yadifa-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libdnszone.so.0.0.0 /lib/libcrypto.so.10
yadifa-libs.i686: W: shared-lib-calls-exit /usr/lib/libdnszone.so.0.0.0 exit@GLIBC_2.0
yadifa-libs.i686: W: no-documentation
yadifa.i686: W: spelling-error %description -l en_US eu -> EU, Eu, e
yadifa.i686: E: missing-call-to-setgroups /usr/sbin/yadifad
yadifa.i686: E: missing-call-to-chdir-with-chroot /usr/sbin/yadifad
yadifa.i686: W: log-files-without-logrotate /var/log/yadifa
yadifa.i686: W: non-standard-dir-in-var zones
3 packages and 0 specfiles checked; 2 errors, 16 warnings.
# echo 'rpmlint-done:'



Requires
--------
yadifa-devel (rpmlib, GLIBC filtered):
    libdnscore.so.0
    libdnsdb.so.0
    libdnszone.so.0
    yadifa-libs

yadifa-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libcrypto.so.10
    libcrypto.so.10(libcrypto.so.10)
    libdl.so.2
    libdnscore.so.0
    libdnsdb.so.0
    libpthread.so.0
    libssl.so.10
    rtld(GNU_HASH)

yadifa (rpmlib, GLIBC filtered):
    /bin/sh
    config(yadifa)
    libc.so.6
    libcrypto.so.10
    libdl.so.2
    libdnscore.so.0
    libdnsdb.so.0
    libdnszone.so.0
    libpthread.so.0
    libssl.so.10
    rtld(GNU_HASH)
    systemd
    yadifa-libs



Provides
--------
yadifa-devel:
    yadifa-devel
    yadifa-devel(x86-32)

yadifa-libs:
    libdnscore.so.0
    libdnsdb.so.0
    libdnszone.so.0
    yadifa-libs
    yadifa-libs(x86-32)

yadifa:
    config(yadifa)
    yadifa
    yadifa(x86-32)



Source checksums
----------------
http://cdn.yadifa.eu/sites/default/files/releases/yadifa-1.0.3-2880.tar.gz :
  CHECKSUM(SHA256) this package     : 11a841620be8a2cb882a904686e48c3c6b49877942a906edffa24130600b4ba3
  CHECKSUM(SHA256) upstream package : 11a841620be8a2cb882a904686e48c3c6b49877942a906edffa24130600b4ba3


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -rvn yadifa-1.0.3-1.fc20.denf.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
--------------------------------
1. %{buildroot}/ -> %{buildroot}

2. Braces: %SOURCE1 -> %{SOURCE1} or %{S:1}

3. yadifa.i686: W: log-files-without-logrotate /var/log/yadifa

Maybe you can write one, not a blocker.

4. In systemd file:

[Unit]
Description=Yadifa DNS server
After=syslog.target network.target

Actually since systemd 202 syslog.target can be dropped as systemd will start this first to ensure the logging is working.

5. Many unused-direct-shlib-dependency issues.

I will scratch a build of -2 then set + on this, before please fix all above.

Comment 6 Christopher Meng 2014-08-21 05:47:16 UTC
1. Compiler flags are still problematic, because the %optflags are inserted before the flags defined by upstream.

Pick 1 line from the build.log:

libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I./include/dnsdb -I./../../lib/dnscore/include -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -g -m64 -DDNSDB_BUILD -Wall -D_FILE_OFFSET_BITS=64 -mtune=native -fno-ident -ansi -pedantic -std=gnu99 -I/builddir/build/BUILD/yadifa-1.0.3-2880/lib/dnsdb -I/builddir/build/BUILD/yadifa-1.0.3-2880/lib/dnsdb/include -DNDEBUG -O3 -DCMR -c src/rr_canonize.c  -fPIC -DPIC -o .libs/rr_canonize.o
/bin/sh ./libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I./include/dnsdb   -I./../../lib/dnscore/include -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -g -m64 -DDNSDB_BUILD -Wall -D_FILE_OFFSET_BITS=64      -mtune=native  -fno-ident -ansi -pedantic -std=gnu99 -I/builddir/build/BUILD/yadifa-1.0.3-2880/lib/dnsdb -I/builddir/build/BUILD/yadifa-1.0.3-2880/lib/dnsdb/include    -DNDEBUG -O3 -DCMR 

As you can see, O3 overrides O2. And, AArch64 guys told me -mtune=native may not work on AArch64.

You should eithor hack the makefile to change the sequence or use sed to remove them.

2. Please add %_isa to subpkg requiring base:

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

3. Please bump changelog.

Comment 8 Christopher Meng 2014-08-29 01:08:18 UTC
PACKAGE APPROVED.

Comment 9 Denis Fateyev 2014-08-29 01:29:53 UTC
New Package SCM Request
=======================
Package Name: yadifa
Short Description: Lightweight authoritative Name Server with DNSSEC capabilities
Owners: dfateyev
Branches: f19 f20 f21 el5 el6 epel7
InitialCC:

Comment 10 Gwyn Ciesla 2014-08-29 12:00:47 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-08-29 21:44:33 UTC
yadifa-1.0.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yadifa-1.0.3-2.fc19

Comment 12 Fedora Update System 2014-08-29 21:46:55 UTC
yadifa-1.0.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yadifa-1.0.3-2.fc20

Comment 13 Fedora Update System 2014-08-29 21:48:21 UTC
yadifa-1.0.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/yadifa-1.0.3-2.fc21

Comment 14 Fedora Update System 2014-08-29 21:50:19 UTC
yadifa-1.0.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/yadifa-1.0.3-2.el5

Comment 15 Fedora Update System 2014-08-29 21:51:53 UTC
yadifa-1.0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yadifa-1.0.3-2.el6

Comment 16 Fedora Update System 2014-08-29 21:53:48 UTC
yadifa-1.0.3-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/yadifa-1.0.3-2.el7

Comment 17 Fedora Update System 2014-08-30 04:48:06 UTC
yadifa-1.0.3-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 18 Fedora Update System 2014-09-10 13:30:52 UTC
yadifa-1.0.3-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2014-09-10 13:31:38 UTC
yadifa-1.0.3-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 20 Fedora Update System 2014-09-23 05:07:54 UTC
yadifa-1.0.3-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 21 Fedora Update System 2014-09-24 03:42:05 UTC
yadifa-1.0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 22 Fedora Update System 2014-09-24 03:44:33 UTC
yadifa-1.0.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 23 Fedora Update System 2014-09-24 03:50:03 UTC
yadifa-1.0.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.